import { putTableItem } from './put';
export const createTableItem = async (Table, item, input, dkClient = Table.dkClient) => {
    await putTableItem(Table, item, {
        ...input,
        ConditionExpression: `attribute_not_exists(#hashKey)${input?.ConditionExpression ? ` ${input?.ConditionExpression}` : ''}`,
        ExpressionAttributeNames: {
            '#hashKey': Table.config.indexes.primaryIndex.hash.key,
            ...input?.ExpressionAttributeNames
        }
    }, dkClient);
    return;
};
export const createItem = async (KeySpace, item, input) => createTableItem(KeySpace.Table, KeySpace.withIndexKeys(item), input, KeySpace.dkClient);
