import { Table } from '../Table';
import { GenericAttributes } from '../util/utils';
import { DkScanCommandInput, DkScanCommandOutput } from '../command/Scan';
import { ListParams } from './query';
export interface ScanItemsInput<Index extends string | never = never, CursorKey extends GenericAttributes = GenericAttributes> extends Omit<DkScanCommandInput<CursorKey>, 'TableName' | 'IndexName'>, ListParams<Index> {
}
export type ScanItemsOutput<Attributes extends GenericAttributes = GenericAttributes, CursorKey extends GenericAttributes = GenericAttributes> = DkScanCommandOutput<Attributes, CursorKey>;
export declare const scanTableItems: <T extends Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>> = Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>>, Index extends T["secondaryIndexes"][number] = never>(Table: T, input?: ScanItemsInput<Index, import("../util/utils").Remap<import("../util/utils").Cast<import("../util/utils").Remap<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<Index, undefined> | Exclude<T["primaryIndex"], undefined>]>>, import("../util/utils").Remap<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<T["primaryIndex"], undefined>]>>>>> | undefined) => Promise<ScanItemsOutput<import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>, import("../util/utils").Remap<import("../util/utils").Cast<import("../util/utils").Remap<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<Index, undefined> | Exclude<T["primaryIndex"], undefined>]>>, import("../util/utils").Remap<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<T["primaryIndex"], undefined>]>>>>>>;
