export type DkQuickQueryOperators = {
    BeginsWith?: string | number;
    GreaterThan?: string | number;
    LessThan?: string | number;
};
export declare const createQueryQuickSort: (sortKey?: string | undefined, operators?: DkQuickQueryOperators) => {
    KeyConditionExpression: string;
    ExpressionAttributeValues: {
        ":min": string | number;
        ":max": string | number;
        ":beginsWith"?: undefined;
    };
} | {
    KeyConditionExpression: string;
    ExpressionAttributeValues: {
        ":max": string | number;
        ":min"?: undefined;
        ":beginsWith"?: undefined;
    };
} | {
    KeyConditionExpression: string;
    ExpressionAttributeValues: {
        ":min": string | number;
        ":max"?: undefined;
        ":beginsWith"?: undefined;
    };
} | {
    KeyConditionExpression: string;
    ExpressionAttributeValues: {
        ":beginsWith": string | number;
        ":min"?: undefined;
        ":max"?: undefined;
    };
} | {
    KeyConditionExpression: string;
    ExpressionAttributeValues: {
        ":min"?: undefined;
        ":max"?: undefined;
        ":beginsWith"?: undefined;
    };
};
