import { ReturnConsumedCapacity, ReturnItemCollectionMetrics, ReturnValuesOnConditionCheckFailure } from '@aws-sdk/client-dynamodb';
export interface DkReturnParams {
    ReturnConsumedCapacity?: ReturnConsumedCapacity;
    ReturnItemCollectionMetrics?: ReturnItemCollectionMetrics;
    ReturnValuesOnConditionCheckFailure?: ReturnValuesOnConditionCheckFailure;
}
export interface Defaults extends Pick<DkReturnParams, 'ReturnConsumedCapacity' | 'ReturnItemCollectionMetrics' | 'ReturnValuesOnConditionCheckFailure'> {
}
export declare const applyDefaults: <Input extends object>(input: Input, defaults: Defaults, defaultableKeys: readonly (keyof Input & keyof Defaults)[]) => Input;
