import { DkPutCommand } from '../command/Put';
export const putTableItem = async (Table, item, input, dkClient = Table.dkClient) => {
    const output = await dkClient.send(new DkPutCommand({
        ...input,
        TableName: Table.name,
        Item: item
    }));
    return output.Attributes;
};
export const putItem = async (KeySpace, item, input) => {
    const attributes = await putTableItem(KeySpace.Table, KeySpace.withIndexKeys(item), input, KeySpace.dkClient);
    const strippedAttributes = (attributes ? KeySpace.omitIndexKeys(attributes) : undefined);
    return strippedAttributes;
};
