import { GenericAttributes } from './utils';
export interface DkUpdateExpressionParams {
    UpdateExpression?: string;
    ExpressionAttributeNames?: Record<string, string>;
    ExpressionAttributeValues?: GenericAttributes;
}
export declare const createUpdateExpressionParts: <Attributes extends GenericAttributes>(attributes: Attributes, precedingKeys?: Array<string>) => Array<DkUpdateExpressionParams>;
export declare const mergeUpdateExpressionParts: (parts: Array<DkUpdateExpressionParams>) => DkUpdateExpressionParams;
export declare const convertObjectToUpdateExpression: <Attributes extends GenericAttributes>(attributes: Attributes) => {
    UpdateExpression: string;
    ExpressionAttributeNames?: Record<string, string> | undefined;
    ExpressionAttributeValues?: GenericAttributes | undefined;
};
